#ifndef lint
static const char Rcs_Id[] =
    "$Id: cmdtest.cc,v 1.2 1996/05/03 01:25:55 geoff Exp $";
#endif

/*
 * $Log: cmdtest.cc,v $
 * Revision 1.2  1996/05/03 01:25:55  geoff
 * Fix some warnings detected by a smarter compiler.
 *
 * Revision 1.1  1995/09/15  00:14:51  geoff
 * Initial revision
 *
 */

#include "cmdstream.hh"
#include <fstream.h>

int main (int, char*[])
    {
    CommandStream inStream("ls -C|", ios::in, 0644,
      CommandStream::FileOrCommand);
    CommandStream outStream("|sort -r", ios::out, 0644,
      CommandStream::FileOrCommand);
    char ch;
    while (inStream.get(ch)  &&  outStream)
	outStream << ch;
    inStream.close();
    outStream.close();
    CompressedStream passwdStream("/etc/passwd", ios::in);
    CompressedStream smallPasswd("/tmp/passwd.gz", ios::out);
    while (passwdStream.get(ch)  &&  smallPasswd)
	smallPasswd << ch;
    passwdStream.close();
    smallPasswd.close();
    CompressedStream readPasswd("/tmp/passwd.gz", ios::in);
    while (readPasswd.get(ch)  &&  cout)
	cout << ch;
    readPasswd.close();
    return 0;
    }
