(setq c-style-alist
      (append
       '(("geoff"
	  (c-basic-offset . 4)
	  (c-comment-only-line-offset . 0)
	  (c-offsets-alist . (
			      (defun-open . +)
			      (defun-close . 0)
			      (defun-block-intro . 0)
			      (class-open . +)
			      (class-close . 0)
			      (c++-funcdecl-cont . 2)
			      (statement-block-intro . +)
			      (knr-argdecl-intro . +)
			      (topmost-intro-cont . +)
			      (block-open . +)
			      (brace-list-open       . +)
			      (brace-list-intro      . 0)
			      (statement-cont        . 2)
			      (statement-block-intro . 0)
			      (access-label          . -)
			      (label                 . 0)
			      (do-while-closure      . +)
			      (arglist-cont-nonempty . 0)
			      (arglist-close         . +)
			      (stream-op             . 0)
			      (inclass               . 8)
			      ))
	  ))
       c-style-alist))
(defun try-cc-mode nil
  "Turn on cc-mode's C++ mode and set it to my defaults, for experimentation."
  (interactive)
  (let ((c++-mode-hook))
    (c++-mode)
    (setq c-tab-always-indent nil)
    (c-toggle-hungry-state 1)
    (c-toggle-auto-state 1)
    (pabbrev-mode 1)
    (c-set-style "geoff")
    (setq comment-column 40)
    (setq c-echo-semantic-information-p t)
    (local-set-key "
" 'newline)
    (add-mode-pabbrev ";" '(lambda nil (c-electric-semi&comma ";")))
    ))
